import { Component, OnInit, Input } from '@angular/core';
import { NzModalRef } from 'ng-zorro-antd/modal';
import { FormBuilder, FormGroup, Validators } from '@angular/forms';
import { HttpClient } from '@angular/common/http';
@Component({
  selector: 'app-disposeequipment',
  templateUrl: './disposeequipment.component.html',
  styleUrls: ['./disposeequipment.component.scss']
})
export class DisposeequipmentComponent implements OnInit {

  @Input() data?: any;

  validateForm!: FormGroup;
  constructor(private modal: NzModalRef, private fb: FormBuilder, private http: HttpClient) { }

  radioValue = "A"
  data2
  copydata2
  isScrap
  isScraped

  newdata
  ngOnInit(): void {
    this.data2 = JSON.parse(JSON.stringify(this.data))
    this.copydata2 = JSON.parse(JSON.stringify(this.data))



    // console.log('快照预警数据', this.data2)
    if (this.data2.handleTime) {
      let params = {
        Id: this.data2.violatedItemSnapshotObj.id
      }
      this.http.get('/api/services/app/FireEquipment/Get', { params: params }).subscribe((data: any) => {
        console.log('处置后的设备信息', data)
        this.newdata = data.result
        if (data.result.isScrapped) {
          this.isScraped = '报废'
        } else {
          this.isScraped = '维保'
        }
      })
    }else{
      if(this.data2.desc == '维保'){
        this.isScrap = false
      }else{
        this.isScrap = true
      }
    }

    this.validateForm = this.fb.group({
      name: [null, [Validators.required]],
      storageLocation: [null, [Validators.required]],
      productionDate: [null, [Validators.required]],
      maintenanceDate: [null, [Validators.required]],
      validityEndTime: [null, [Validators.required]]
    });


  }

  destroyModal() {
    this.modal.destroy({ data: 'this the result data' });
  }
  ok() {
    this.modal.triggerOk()
  }
}
