import { Component, Input, OnInit } from "@angular/core";

@Component({
  selector: "app-img-list",
  templateUrl: "./img-list.component.html",
  styleUrls: ["./img-list.component.scss"],
})
export class ImgListComponent implements OnInit {
  @Input() data?: any;

  constructor() {}

  newList;
  ngOnInit(): void {
    let str = "";
    let num = 0;
    this.data.forEach((element) => {
      num++;
      if (element.indexOf("http") !== 0) {
        if (element.indexOf("/") !== 0) {
          str += location.origin + "/" + element + "\n";
        } else {
          str += location.origin + element + "\n";
        }
      } else {
        str += element + "\n";
      }
    });
    this.newList = str;
  }
}
